Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/services/{ipmarketServiceUUID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hidden": true,
"minimum_split": 0,
"maximum_split": 0,
"pricings": [
{
"uuid": "string",
"cidr": 0,
"value": 0,
"wants_to_negotiate": true,
"selected_commitment_periods": [
3
]
}
],
"maintainer_id": "string",
"maintainer_password": "string"
}
'import requests
url = "https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/services/{ipmarketServiceUUID}"
payload = {
"hidden": True,
"minimum_split": 0,
"maximum_split": 0,
"pricings": [
{
"uuid": "string",
"cidr": 0,
"value": 0,
"wants_to_negotiate": True,
"selected_commitment_periods": [3]
}
],
"maintainer_id": "string",
"maintainer_password": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hidden: true,
minimum_split: 0,
maximum_split: 0,
pricings: [
{
uuid: 'string',
cidr: 0,
value: 0,
wants_to_negotiate: true,
selected_commitment_periods: [3]
}
],
maintainer_id: 'string',
maintainer_password: 'string'
})
};
fetch('https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/services/{ipmarketServiceUUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "string",
"address": "string",
"cidr": 0,
"start": "string",
"abuse_email": "string",
"registry": "string",
"status": "auth_pending",
"auth": {
"type": "string",
"status": "string",
"description": "string"
},
"whois": {
"status": "string",
"description": "string"
},
"bgp": {
"status": "string",
"description": "string"
},
"dns": {
"status": "string",
"description": "string"
},
"iprep": {
"status": "string",
"description": "string"
},
"loaa": {
"status": "string",
"description": "string"
},
"roa": {
"status": "string",
"description": "string"
},
"hidden": true,
"reservation_id": "string",
"minimum_split": 0,
"maximum_split": 0,
"loa-a": {
"email": "string",
"status": "string",
"created_at": 0
},
"ips": {
"run_rate": 0,
"run_rate_ip": 0,
"total": 0,
"used": 0,
"free": 0,
"utilisation_percent": 0
},
"pricings": {
"data": [
{
"uuid": "string",
"subnet_size": 0,
"ip_count": 0,
"price": 0,
"commission": 0,
"wants_to_negotiate": true,
"selected_commitment_periods": [
0
]
}
],
"meta": {
"current_page": 0,
"from": 0,
"last_page": 0,
"per_page": 0,
"to": 0,
"total": 0
}
},
"terminated": 0,
"expires_at": 0,
"has_commitments": true,
"can_initiate_expiration": true,
"services": {
"uuid": "string",
"cidr": 0,
"address": "string",
"status": "string",
"pricing": {
"uuid": "string",
"subnet_size": 0,
"ip_count": 0,
"price": 0,
"commission": 0,
"wants_to_negotiate": true,
"selected_commitment_periods": [
0
]
},
"commitment": {
"uuid": "string",
"pricing_uuid": "string",
"status": "string",
"price": 0,
"period": 0,
"start_date": 0,
"end_date": 0
}
},
"commitmentReservations": {
"uuid": "string",
"address": "string",
"cidr": 0,
"price": 0,
"commitment_period": 0,
"created_at": 0,
"tenant": {
"uuid": "string",
"title": "string"
},
"ipmarket_service": {
"uuid": "string",
"address": "string",
"cidr": 0
},
"commitment": {
"uuid": "string",
"pricing_uuid": "string",
"status": "string",
"price": 0,
"period": 0,
"start_date": 0,
"end_date": 0
}
},
"serviceReservations": {
"address": "string",
"cidr": 0,
"pricing": {
"uuid": "string",
"subnet_size": 0,
"ip_count": 0,
"price": 0,
"commission": 0,
"wants_to_negotiate": true,
"selected_commitment_periods": [
0
]
}
}
}Updates and returns IP Market Service
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$billingServices.marketServicePricing, billingServices.commitments, commitmentReservations.commitment IP Market Service
auth_pending, auth_failed_verify, auth_failed_verify_email_not_found, auth_failed_verify_email_not_sent, validity_pending, validity_active, validity_invalid, validity_terminated, object_terminated Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes